# $Id: smeserver-dansguardian.spec,v 1.4 2013/07/02 21:31:38 unnilennium Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-dansguardian
%define version 2.9
%define release  10

Summary: Set up dansguardian to filter www content.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-dansguardian-2.9-unblock80.patch
Patch1: smeserver-dansguardian-2.9-block8080.patch
Patch2: smeserver-dansguardian-2.9-block8080-2.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires:  e-smith-release >= 7.0
Requires:  dansguardian = 2.10.1.1-1%{?dist}
AutoReqProv: no

%description
rpm to setup dansguardian.org web content filter

%changelog
* Tue Jul 02 2013 JP Pialasse <tests@pialasse.com> 2.9-10
- more severe Requires for dansguardian [SME: 7716 7717]
- fix clamav user for logs after rf rpm

* Tue Jun 09 2009 Stephen Noble <support@dungog.net> 2.9-7
- undo portblocking on 443

* Wed Apr 30 2009 Stephen Noble <support@dungog.net> 2.9-6
- portblocking now blocks 443 as well as 3128

* Fri May 30 2008 Stephen Noble <support@dungog.net> 2.9-5
- fix portblocking on 8080

* Fri May 30 2008 Stephen Noble <support@dungog.net> 2.9-4
- $dansguardian{portblocking} = yes, blocks external 8080

* Thu Jul 05 2007 Stephen Noble <support@dungog.net> 2.9-3
- $dansguardian{portblocking} = yes, just blocks 3128 

* Thu Jul 05 2007 Stephen Noble <support@dungog.net>
- Build on lordsfam

* Wed Sep 27 2006 Stephen Noble <support@dungog.net>
- lograte gzip's files
- uses initialize-default-databases
- [2.9-2]

* Wed Sep 27 2006 Stephen Noble <support@dungog.net>
- update for 2.9
- no longer runs under daemontools
- [2.9-1]

* Sun Mar 12 2006 Stephen Noble <support@dungog.net>
- 15AuthProgramPamAuth, spaces removed from realm
- [1.2-4]

* Thu Mar 9 2006 Stephen Noble <support@dungog.net>
- 15AuthProgramPamAuth, realm put inside quotes
- ident added, but it's broken
- [1.2-3]

* Sun Nov 6 2005 Stephen Noble <support@dungog.net>
- db value to block ports changed
- ncsa_auth password file changed
- [1.2-2]

* Fri Sep 16 2005 Stephen Noble <support@dungog.net>
- SME7 initial version
- runs under daemontools
- for DG 2.8.0.6-el4 no patches
- [1.2-1]

<snip>
* Tue Nov 6 2001 Stephen Noble <stephen@dungog.net> 0.1-1
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
perl createlinks

mkdir -p          root/etc/e-smith/db/configuration/defaults/dansguardian
echo "service"  > root/etc/e-smith/db/configuration/defaults/dansguardian/type
echo "enabled"  > root/etc/e-smith/db/configuration/defaults/dansguardian/status

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     --file '/etc/cron.weekly/dansguardian-logrotate' 'attr(0755,root,root)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun
%post

#gzip old log files
if [ -z /var/log/dansguardian/access.log.1 ] ; then
 gzip -f /var/log/dansguardian/access.log.1
fi
if [ -z /var/log/dansguardian/access.log.2 ] ; then
 gzip -f /var/log/dansguardian/access.log.2
fi
if [ -z /var/log/dansguardian/access.log.3 ] ; then
 gzip -f /var/log/dansguardian/access.log.3
fi
if [ -z /var/log/dansguardian/access.log.4 ] ; then
 gzip -f /var/log/dansguardian/access.log.4
fi

# temp fix following rf dansguardian used
chown clamav:clamav /var/log/dansguardian/*

%postun

#uninstalls
if [ $1 = 0 ] ; then
 /sbin/e-smith/db configuration setprop squid TransparentPort 3128
 /sbin/e-smith/expand-template /etc/httpd/conf/proxy/proxy.pac
 /sbin/e-smith/expand-template /etc/squid/squid.conf
 echo 'optionally run signal-event network-create to complete uninstall'
fi

#&upgrades

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
